@extends('admin.layout.app')

@section('content')

<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">

        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">

                        <form class="forms-sample" action="{{ route('admin.updateContactPage', $contact_page->slug) }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="row ">
                                <div class="col-12 col-lg-6">
                                    <h4 class="card-title">Contact Banner Section</h4>

                                    <div class="slider3">
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Contact Banner Title</label>
                                            <input type="text" name="banner_title" class="form-control" id="exampleInputUsername1"
                                                value="{{ $contact_page->banner_title }}">
                                        </div>
                                        <div class="form-group">
                                            <label>Contact Banner Image</label>
                                            <div class="row align-items-center">
                                                <div class="col-12 col-lg-3">
                                                    <div class="text-start">
                                                        <img src="{{ $contact_page->banner_image ? asset($contact_page->banner_image) : asset('assets/dummy.jpg') }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-9">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="banner_image"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <h4 class="card-title mt-5">Contact Form Section</h4>
                                            <div class="form-group">
                                                <label for="exampleInputUsername1">Title</label>
                                                <input type="text" name="section_title" class="form-control" id="exampleInputUsername1"
                                                    value="{{ $contact_page->section_title }}">
                                            </div>
                                            <div class="form-group">
                                                <label for="exampleInputUsername1">Number</label>
                                                <input type="text" name="section_number" class="form-control" id="exampleInputUsername1"
                                                    value="{{ $contact_page->section_number }}">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Contact description</label>
                                            <textarea id="summernote" name="section_content">{{ $contact_page->section_content }}</textarea>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn w-100 btn-primary mt-2">Update</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
   
@endsection