@extends('admin.layout.app')

@section('content')
    <div class="content-wrapper">

        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        @if(isset($service))
                        <form class="forms-sample" action="{{ route('admin.updateService', $service->slug) }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <h4 class="card-title">Edit Services</h4>
                                    <div class="slider1">

                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Service Name</label>
                                            <input type="text" class="form-control" name="title" id="exampleInputUsername1"
                                                value="{{ $service->title }}">
                                        </div>
                                        <div class="form-group">
                                            <label>Service Banner Image</label>
                                            <div class="row align-items-center">
                                                <div class="col-12 col-lg-12">
                                                    <div class="text-start">
                                                        <img src="{{ asset($service->banner) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-12 mt-4">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="banner"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @if(isset($service->galleryImages) && count($service->galleryImages) > 0)
                                <div class="col-12 col-md-12 grid-margin stretch-card mt-4">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="row d-flex justify-content-between">
                                                <h4 class="card-title">Service Images</h4>
                                                <div class="form-group">
                                                    <div class="row align-items-center">
                                                        <div class="col-12 col-lg-6">
                                                            <div class="text-start">
                                                                <img src="{{ asset('assets/dummy.jpg') }}"
                                                                    class="img-fluid imgTag uploaded"
                                                                    alt="Fav Icon" id="uploaded">
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-6">
                                                            <div class="input-group col-xs-12">
                                                                <input type="file" multiple
                                                                    class="file-upload-default fileInput" id="service_image">
                                                                <span class="input-group-append">
                                                                    <button
                                                                        class="file-upload-browse btn btn-primary"
                                                                        type="button">Add New Image</button>
                                                                </span>
                                                            </div>
                                                            <div>
                                                                <div class="btn btn-success btn-small addImage">Upload</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            
                                            <div class="allImgs">
                                                <div class="row gy-4 serviceImages">
                                                    @php $i=1; @endphp
                                                    @foreach($service->galleryImages as $img)
                                                    <div class="col-12 col-lg-3">
                                                        <div class="slider1">
                                                            <div class="imgbox" data-aos="fade-right" data-aos-duration="1500">
                                                                <img src="{{asset($img->image)}}" class="img-fluid" alt="" 
                                                                style="width:100%; height:275px; object-fit: cover;">
                                                                <input type="hidden" class="serviceId" value="{{ $service->id }}">
                                                                <div style="position: relative; top: -275px; text-align: end;">
                                                                    <div class="btn btn-danger deleteImage" data-image-id="{{ $img->id }}"><i class="fa-solid fa-trash-can"></i></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div> 
                                                    @endforeach
                                                    
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @else
                                <div class="col-12 col-md-12 grid-margin stretch-card mt-4">
                                    <div class="card">
                                        <div class="card-body">
                                            <h4 class="card-title">Service Images</h4>
                                            <div class="row">
                                                <div class="col-12 col-lg-9">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="images[]" multiple
                                                            class="file-upload-default fileInput">
                                                        <input type="text"
                                                            class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button
                                                                class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @endif

                                <div class="col-12 col-md-6">
                                    <h4 class="card-title mt-5">Service Content Section</h4>

                                    <div class="slider3">
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Main Title</label>
                                            <input type="text" name="heading" class="form-control" id="exampleInputUsername1"
                                            value="{{ $service->heading }}">
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Service description</label>
                                            <textarea id="summernote" name="service_desc" style="display: none;">{{ $service->desc }}</textarea>
                                        </div>

                                        <h4 class="card-title mt-5">Add Benefits</h4>

                                        <div class="parent_append">
                                            <div class="benefits">
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Benefit Name</label>
                                                    <div class="row">
                                                        <div class="col-12 col-md-8">
                                                            <input type="text" name="benefit_title[]" class="form-control"
                                                                id="exampleInputUsername1" placeholder="">
                                                        </div>
                                                        <div class="col-12 col-md-4 d-flex justify-content-end">
                                                            <button type="button"
                                                                class="btn btn-primary w-100 addBenefits btn-icon-text">
                                                                <i class="typcn typcn-upload btn-icon-prepend"></i>
                                                                Add more benefits </button>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Benefit description</label>
                                                    <textarea id="summernote" name="benefit_desc[]" style="display: none;"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <button type="submit" class="btn w-100 btn-primary mt-3">Update</button>
                                </div>
                            </div>

                        </form>
                        @endif
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script>
        $('.allImgs').on('click', '.deleteImage', function(){
            var serviceId = $('.serviceId').val();
            var imageId = $(this).data('image-id');
            var parent = $(this).parent().parent().parent().parent();
            
            $.ajax({
                url: '{{ route("deleteServiceImg") }}', // Replace this with the actual route
                method: 'POST',
                data: {
                    serviceId: serviceId,
                    imageId: imageId,
                },
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                success: function (response) {
                    // Handle success response
                    parent.remove();
                    toastr.success(response.msg);
                },
                error: function (error) {
                    // Handle error response
                    toastr.error("something went wrong");
                }
            });
        });

        $('.addImage').on('click', function () {
            const fileInput = document.getElementById('service_image');
            var serviceId = $('.serviceId').val();

            // Check if a file has been selected
            if (fileInput.files.length > 0) {
                const selectedFile = fileInput.files[0];

                // Create a FormData object
                var formData = new FormData();
                formData.append('serviceId', serviceId);
                formData.append('selectedFile', selectedFile);

                $.ajax({
                    url: '{{ route("addServiceImg") }}', // Replace this with the actual route
                    method: 'POST',
                    data: formData,
                    processData: false,  // Prevent jQuery from processing the data
                    contentType: false,  // Prevent jQuery from setting contentType
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function (response) {
                        // Handle success response
                        console.log(['image', response.image, 'serviceId', response.serviceId, 'imageId', response.imageId]);
                        $('.serviceImages').append('<div class="col-12 col-lg-3"><div class="slider1"><div class="imgbox" data-aos="fade-right" data-aos-duration="1500"><img src="' + response.image + '" class="img-fluid" alt="" style="width:100%; height:275px; object-fit: cover;"><input type="hidden" class="serviceId" value="' + response.serviceId + '"><div style="position: relative; top: -275px; text-align: end;"><div class="btn btn-danger deleteImage" data-image-id="' + response.imageId + '"><i class="fa-solid fa-trash-can"></i></div></div></div></div></div>')
                        toastr.success(response.msg);
                        document.getElementById('uploaded').src = '';
                    },
                    error: function (error) {
                        // Handle error response
                        toastr.error("Something went wrong");
                    }
                });
            } else {
                console.log('No file selected');
            }
        });


        $(document).ready(function () {
            var parentAppend = $(".parent_append");
            $('.addBenefits').click(function () {

                if (parentAppend.children().length < 5) {
                $('.parent_append:last').append(' <div class="benefits"> <div class="form-group"> <label for="exampleInputUsername1">Benefit Name</label> <div class="row"> <div class="col-12 col-md-8"> <input type="text"  name="benefit_title[]" class="form-control" id="exampleInputUsername1" placeholder=""> </div> <div class="col-12 col-md-4 d-flex justify-content-end"><button type="button" class="btn btn-danger w-100 removeBenefits btn-icon-text">Delete<i class="typcn typcn-delete-outline btn-icon-append"></i></button></div> </div> </div> <div class="form-group"> <label for="exampleInputUsername1">Benefit description</label> <textarea id="summernote" name="benefit_desc[]"></textarea> </div> </div>');
                } else {
                alert("You can only add 5 Benefits, Can't add more.");
                }

                $('textarea#summernote').summernote({
                placeholder: 'Type here...',
                tabsize: 2,
                height: 200,
                });

            });

            $('.parent_append').on('click', '.removeBenefits', function () {
                $(this).parent().parent().parent().parent().remove();
            });

        });

    </script>
@endsection