@extends('admin.layout.app')

<style>

.table td img {
    width: 55% !important;
    height: 60px !important;
    object-fit: contain ;
    border-radius: 0 !important;
}

</style>

@section('content')

    <div class="content-wrapper">
        <div class="d-flex justify-content-end mb-4">
            <a href="{{ route('admin.addService') }}" type="button" class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Service </a>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Service name</th>
                                    <th>Service Heading</th>
                                    <th>Service Image</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @php $i=1; @endphp
                                @foreach($services as $service)
                                <tr>
                                    <td>{{ $i++ }}</td>
                                    <td>{{ $service->title }}</td>
                                    <td>{{ $service->heading }}</td>
                                    <td>
                                        <img src="{{ asset($service->banner) }}" alt="" width="200" height="150">
                                    </td>
                                    @if($service->status == 1)
                                    <td><span class="badge badge-success">Active</span></td>
                                    @else
                                    <td><span class="badge badge-danger">In Active</span></td>
                                    @endif
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.editService', $service->slug) }}" type="button" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                            <button type="button" class="btn btn-danger deleteService btn-sm btn-icon-text" data-service-id="{{ $service->id }}">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script>
        $('.deleteService').on('click', function(){
            var serviceId = $(this).data('service-id');
            var parent = $(this).parent().parent().parent();
            $.ajax({
                url: '{{ route("deleteService") }}', // Replace this with the actual route
                method: 'POST',
                data: {
                    serviceId: serviceId,
                },
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                success: function (response) {
                    // Handle success response
                    parent.remove();
                    toastr.success(response.msg);
                },
                error: function (error) {
                    // Handle error response
                    toastr.error("something went wrong");
                }
            });
        });
    </script>
@endsection