@extends('admin.layout.app')

@section('content')
    <div class="content-wrapper">

            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">Edit Settings</h4>
                            <form class="forms-sample" action="{{ route('admin.settings.update', $settings->id) }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                <div class="row">
                                    <div class="col-12 col-lg-6 my-3">
                                        <div class="form-group">
                                            <label>Fav Icon</label>
                                            <div class="row align-items-center">
                                                <div class="col-12 col-lg-2">
                                                    <div class="text-start">
                                                        <img src="{{ isset($settings->fav_icon) ? asset($settings->fav_icon) : asset('assets/dummy.jpg') }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-10">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="fav_icon"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6 my-3">
                                        <div class="form-group">
                                            <label>Header Logo</label>
                                            <div class="row align-items-center">
                                                <div class="col-12 col-lg-2">
                                                    <div class="text-start">
                                                        <img src="{{ isset($settings->header_logo) ? asset($settings->header_logo) : asset('assets/dummy.jpg') }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-10">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="header_logo"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6 my-3">
                                        <div class="form-group">
                                            <label>Footer Logo</label>
                                            <div class="row align-items-center">
                                                <div class="col-12 col-lg-2">
                                                    <div class="text-start">
                                                        <img src="{{ isset($settings->footer_logo) ? asset($settings->footer_logo) : asset('assets/dummy.jpg') }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-10">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="footer_logo"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6 my-3 d-flex align-items-center">
                                        <div class="text-center w-100 mt-1">
                                            <button type="submit" class="btn btn-primary mr-2 w-100">Update</button>
                                        </div>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>
@endsection