@extends('admin.layout.app')

<style>

.table td img {
    width: 55% !important;
    height: 60px !important;
    object-fit: contain ;
    border-radius: 0 !important;
}

</style>

@section('content')

    <div class="content-wrapper">
        <div class="d-flex justify-content-end mb-4">
            <a href="{{ route('indicators.create') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Indicator </a>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <!--<th>Banner</th>-->
                                    <th>Heading</th>
                                    <th>Sector</th>
                                    <th>Code</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @php $i=1; @endphp
                                @foreach($indicators as $indicator)
                                <tr>
                                    <td>{{ $i++ }}</td>
                                    <!--<td>{{ $indicator->banner }}</td>-->
                                    <td>{{ $indicator->banner_heading }}</td>
                                    <td>{{ $indicator->sector ? $indicator->sector->title : '' }}</td>
                                    <td>{{ $indicator->code }}</td>
                                    <td>{{ $indicator->status }}</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.editIndicator', $indicator->id) }}" type="button" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                             <button type="button" class="btn btn-danger deleteAppointment btn-sm btn-icon-text" data-indicator-id="{{ $indicator->id }}">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    {{ $indicators->links() }}
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script>
        $('.deleteAppointment').on('click', function(){
            var indicatorId = $(this).data('indicator-id');
            var parent = $(this).parent().parent().parent();
            $.ajax({
                url: "{{ route('admin.deleteIndicator') }}", // Replace this with the actual route
                method: 'POST',
                data: {
                    indicatorId: indicatorId,
                },
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                success: function (response) {
                    // Handle success response
                    parent.remove();
                    toastr.success(response.success);
                },
                error: function (error) {
                    // Handle error response
                    toastr.error("something went wrong");
                }
            });
        });
    </script>
@endsection