@extends('admin.layout.app')

<style>

.table td img {
    width: 55% !important;
    height: 60px !important;
    object-fit: contain ;
    border-radius: 0 !important;
}

</style>

@section('content')

    <div class="content-wrapper">
        <div class="d-flex justify-content-end mb-4">
            <a href="{{ route('admin.page.create') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Page </a>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Title</th>
                                    <th>Slug</th>
                                    <th>Banner Image</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @php $i=1; @endphp
                                @foreach($pages as $page)
                                <tr>
                                    <td>{{ $i++ }}</td>
                                    <td>{{ $page->title }}</td>
                                    <td>{{ $page->slug }}</td>
                                    <td><img src="{{ asset('assets/admin/pages/'.$page->banner_image) }}"></td>
                                    @if($page->status == "0")
                                    <td><span class="badge badge-danger">Inactive</span></td>
                                    @elseif($page->status == "1")
                                    <td><span class="badge badge-success">Active</span></td>
                                    @endif
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.page.edit', $page->slug) }}" type="button" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                             <button type="button" class="btn btn-danger deletePage btn-sm btn-icon-text" data-page-id="{{ $page->id }}">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    {{ $pages->links() }}
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script>
        $('.deletePage').on('click', function(){
            var pageId = $(this).data('page-id');
            var parent = $(this).parent().parent().parent();
            $.ajax({
                url: '{{ route("admin.page.delete") }}', // Replace this with the actual route
                method: 'POST',
                data: {
                    pageId: pageId,
                },
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                success: function (response) {
                    // Handle success response
                    parent.remove();
                    toastr.success(response.msg);
                },
                error: function (error) {
                    // Handle error response
                    toastr.error("something went wrong");
                }
            });
        });
    </script>
@endsection