@extends('admin.layout.app')

@section('content')

    <div class="content-wrapper">
        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Edit Profile</h4>
                        <form class="forms-sample" action="{{ route('admin.profile.update', $admin->id) }}"
                        method="post" enctype="multipart/form-data">
                        @csrf
                            <div class="row">
                                <div class="col-12 col-lg-4">
                                    <div class="slider1">
                                        <div class="form-group col-lg-6">
                                            <label for="exampleInputUsername1">First Name</label>
                                            <input type="text" name="f_name" class="form-control" id="exampleInputUsername1"
                                                value="{{ $admin->f_name }}">
                                        </div>
                                        <div class="form-group col-lg-6">
                                            <label for="exampleInputUsername1">Last Name</label>
                                            <input type="text" class="form-control" name="l_name" id="exampleInputUsername1"
                                                value="{{ $admin->l_name }}">
                                        </div>
                                        <div class="form-group">
                                            <label>Image</label>
                                            <div class="row align-items-center">
                                                <div class="col-12 col-lg-3">
                                                    <div class="text-start">
                                                        <img src="{{ $admin->image ? asset($admin->image) : asset('assets/dummy.jpg') }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-9">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="image"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    
                                        <div class="row">
                                            <div class="form-group col-lg-6">
                                                <label for="exampleInputUsername1">Email</label>
                                                <input type="text" class="form-control" name="email" id="exampleInputUsername1"
                                                    value="{{ $admin->email }}">
                                            </div>
                                            <div class="form-group col-lg-6">
                                                <label for="exampleInputUsername1">Phone</label>
                                                <input type="text" class="form-control" name="phone" id="exampleInputUsername1"
                                                    value="{{ $admin->phone }}">
                                            </div>
                                            <div class="form-group col-lg-6">
                                                <label for="exampleInputUsername1">Password</label>
                                                <input type="password" class="form-control" name="password" id="exampleInputUsername1"
                                                    value="">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-12 col-lg-3 align-items-end">
                                <button type="submit" class="btn w-100 btn-primary mr-2">Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection