@extends('admin.layout.app')

<style>

.table td img {
    width: 55% !important;
    height: 60px !important;
    object-fit: contain ;
    border-radius: 0 !important;
}

</style>

@section('content')

    <div class="content-wrapper">
        <div class="d-flex justify-content-end mb-4">
            <a href="{{ route('admin.createSector') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Sector </a>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Title</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @php $i=1; @endphp
                                @foreach($sectors as $sector)
                                <tr>
                                    <td>{{ $i++ }}</td>
                                    <td>{{ $sector->title }}</td>
                                    <td>{{ $sector->status }}</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.editSector', $sector->id) }}" type="button" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                             <button type="button" class="btn btn-danger deleteSector btn-sm btn-icon-text" data-sector-id="{{ $sector->id }}">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    {{ $sectors->links() }}
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        $('.deleteSector').on('click', function(){
            var sectorId = $(this).data('sector-id');
            var parent = $(this).parent().parent().parent();
            $.ajax({
                url: "{{ route('admin.deleteSector') }}", // Replace this with the actual route
                method: 'POST',
                data: {
                    sectorId: sectorId,
                },
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                success: function (response) {
                    // Handle success response
                    parent.remove();
                    toastr.success(response.msg);
                },
                error: function (error) {
                    // Handle error response
                    toastr.error("something went wrong");
                }
            });
        });
    </script>
@endsection