@extends('front.layout.app')
@section('content')

<main>


    <section class="indi-banner">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h1 class="indi-ban-head">U.S. Jobless Claims</h1>
                </div>
                <div class="col-12">
                    <p class="indi-ban-para">Overall measure of economic performance.</p>
                </div>
            </div>
        </div>
    </section>

    <section class="indicators">
        <div class="container">
            <div class="row gy-4">
                <div class="col-12 col-lg-6">
                    <h4>U.S. Jobless Claims</h4>
                </div>
                <div class="col-12 col-lg-6">
                    <div class="text-end">
                        <a href="#">View Indicator Description</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="indi-form">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <form action="">
                        <div class="row gy-4">
                            <div class="col-12 col-lg-4">
                                <div class="diff-form">
                                    <label for="country">Country</label>
                                    <select name="country" id="country" class="country">
                                        <option value="china">China</option>
                                        <option value="united States (US)">United States (US)</option>
                                        <option value="australia">Australia</option>
                                        <option value="argentina">Argentina</option>
                                        <option value="canada">Canada</option>
                                    </select>
                                </div>
                            </div>
                              <!-- <div class="col-12 col-lg-4">
                                <div class="diff-form">
                                    <label for="component">Component</label>
                                    <select name="component" id="component" class="component">
                                        <option value="total">Total</option>
                                        <option value="total">Total</option>
                                        <option value="total">Total</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-12 col-lg-4">
                                <div class="diff-form">
                                    <label for="measure">Measure</label>
                                    <select name="measure" id="measure" class="measure">
                                        <option value="value">Value</option>
                                        <option value="value 1">Value 1</option>
                                        <option value="value 2">Value 2</option>
                                    </select>
                                </div>
                            </div> -->
                            <div class="col-12 col-lg-4">
                                <div class="form-radio text-center">
                                    <input type="radio" name="years" class="year-checkbox" value="all" checked>
                                    <label for="all">ALL</label>
                                    <input type="radio" name="years" class="year-checkbox"  value="25">
                                    <label for="25y">25Y</label>
                                    <input type="radio" name="years" class="year-checkbox"  value="10">
                                    <label for="10y">10Y</label>
                                    <input type="radio" name="years" class="year-checkbox"  value="5">
                                    <label for="5y">5Y</label>
                                    <input type="radio" name="years" class="year-checkbox" value="3">
                                    <label for="3y">3Y</label>
                                    <input type="radio" name="years" class="year-checkbox" value="1">
                                    <label for="1y">1Y</label>
                                </div>
                            </div>
                              <!-- <div class="col-12 col-lg-4">
                                <div class="text-center">
                                    <label for="average">Moving Average:</label>
                                    <select name="average" id="average" class="average">
                                        <option value="average">off</option>
                                        <option value="average">on</option>
                                    </select>
                                </div>
                            </div> -->
                            <div class="col-12 col-lg-4">
                                <div class="text-center">
                                      <button id="downloadCSV">Download CSV</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>


    <section class="indi-graph">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <!-- <img src="images/indigraph.png" alt=""> -->
                    <!--<div id="chartContainer1" style="height: 600px; width: 100%;"></div>-->
                    <canvas id="ujcChart" width="800" height="400"></canvas>
                </div>
            </div>
        </div>
    </section>


    <section class="faq-links">
        <div class="container">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <p>Sources: <a href="#"> Organisation for Economic Co-operation and Development (OECD);</a> <a
                                href="#"> U.S.
                                Bureau of Economic Analysis</a></p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="indi-f-aq">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="accordion" id="accordionExample">
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne">
                                <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    Additional Indicator Details
                                </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne"
                                data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <p>Unit: National currency</p>
                                    <p>Multiplier: Millions</p>
                                    <p>Adjustment: Seasonally adjusted; United States seasonally adjusted annual rate
                                    </p>
                                    <p>Note: The base year used to calculate real GDP varies by country.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="indi-content">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h3 class="main-indi-head pad-acc">What is U.S. Jobless Claims?</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">U.S. Jobless Claims represent the number of individuals who have filed
                        for unemployment insurance for the first time (initial claims) and those who are continuing to
                        receive unemployment benefits (continued claims) during a given period. This data serves as a
                        direct pulse on the labor market health within the United States, reflecting short-term
                        employment trends.</p>
                </div>
                <div class="col-12">
                    <h3 class="main-indi-head">Methodology</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">The methodology for collating U.S. Jobless Claims involves gathering
                        data on new unemployment filings (initial claims) and ongoing unemployment insurance recipients
                        (continued claims) from state and federal sources. This process ensures accuracy in representing
                        the immediate labor market conditions. The data is reported on a weekly basis, offering a timely
                        perspective on employment trends.</p>
                </div>
                <div class="col-12">
                    <h3 class="main-indi-head">Global Relevance</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">Though focused on the U.S., Jobless Claims data holds significant
                        global relevance. As an indicator from one of the world’s largest economies, it impacts global
                        markets and economic sentiments. Investors and analysts worldwide monitor this indicator to
                        gauge economic stability and labor market trends in the U.S., which in turn can influence global
                        economies.</p>
                </div>
                <div class="col-12">
                    <h3 class="main-indi-head">Interpretation</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">As a coincident indicator, U.S. Jobless Claims should be interpreted as
                        a reflection of current economic conditions rather than a predictive tool. The indicator
                        validates or refutes economic trends forecasted by leading indicators. A rise in jobless claims,
                        both initial and continued, typically indicates a slowing labor market, potentially signaling
                        broader economic downturns, while a decrease suggests a strengthening labor market.</p>
                </div>
            </div>
        </div>
    </section>
</main>



<!-- Include jQuery library -->
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

<!-- Include Moment.js library -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>

<!-- Include Chart.js library -->
<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

<!-- Include Chart.js adapter for Moment.js -->
<script src="https://unpkg.com/chartjs-adapter-moment@latest/dist/chartjs-adapter-moment.min.js"></script>

<script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-zoom"></script>


<script>
// $(document).ready(function () {
//     // Call the main function after the document is ready
//     initializeChart();

//     function initializeChart() {
//         var ctx = document.getElementById('ujcChart').getContext('2d');
//         var ujcChart;
//         var fetchedData; // Variable to store the fetched data

//         // Fetch the data when the page initially loads
//         fetchUJCData();

//         function fetchUJCData() {
//             var apiUrl = "{{ url('/get-ujc-data') }}";
//             $.ajax({
//                 url: apiUrl,
//                 type: 'GET',
//                 success: function (response) {
//                     console.log('Fetched data:', response);
//                     fetchedData = response.observations;
//                     updateChart('all'); // Update the chart with the default "all" range
//                 },
//                 error: function (error) {
//                     console.log('Error fetching UJC data:', error);
//                 }
//             });
//         }

//         function updateChart(yearRange) {
//             console.log('Updating chart with year range:', yearRange);

//             if (!fetchedData) {
//                 console.log('No data fetched yet. Cannot update chart.');
//                 return;
//             }

//             // Filter the data based on the selected year range
//             var filteredData;
//             if (yearRange === 'all') {
//                 filteredData = fetchedData; // Use all data
//             } else {
//                 var startYear = new Date().getFullYear() - parseInt(yearRange);
//                 filteredData = fetchedData.filter(function (observation) {
//                     var observationYear = new Date(observation.date).getFullYear();
//                     return observationYear >= startYear;
//                 });
//             }

//             if (filteredData.length === 0) {
//                 console.log('No data available for the selected year range.');
//                 return;
//             }

//             var labels = filteredData.map(function (observation) {
//                 var date = new Date(observation.date);
//                 return date.toLocaleDateString('en-US', { year: 'numeric', month: 'short' });
//             });
//             var values = filteredData.map(function (observation) {
//                 return observation.value;
//             });

//             if (ujcChart) {
//                 ujcChart.destroy();
//             }

//             ujcChart = new Chart(ctx, {
//                 type: 'line',
//                 data: {
//                     labels: labels,
//                     datasets: [{
//                         label: 'UJC Data',
//                         data: values,
//                         borderColor: 'rgba(75, 192, 192, 1)',
//                         backgroundColor: 'rgba(75, 192, 192, 0.2)',
//                         borderWidth: 2
//                     }]
//                 },
//                 options: {
//                     scales: {
//                         x: {
//                             ticks: {
//                                 maxRotation: 0, // Rotate x-axis labels if needed
//                                 autoSkip: true, // Automatically skip labels to fit
//                                 maxTicksLimit: 12, // Maximum number of visible ticks on the x-axis
//                             }
//                         },
//                         y: {
//                             beginAtZero: true
//                         }
//                     }
//                 }
//             });
//         }

//         var yearRangeInputs = $('input[name="years"]');
//         var downloadCSVButton = $('#downloadCSV');

//         yearRangeInputs.on('change', function () {
//             var yearRange = $(this).val();
//             updateChart(yearRange);
//         });

//         downloadCSVButton.on('click', function () {
//             downloadCSV();
//         });

//         var defaultYearRange = 'all';
//         updateChart(defaultYearRange);

//         function downloadCSV() {
//             if (!fetchedData) {
//                 console.log('No data fetched yet. Cannot download CSV.');
//                 return;
//             }

//             var csvContent = "Date,Value\n";

//             fetchedData.forEach(function (observation) {
//                 var date = new Date(observation.date);
//                 var formattedDate = date.toLocaleDateString('en-US', { year: 'numeric', month: 'short' });
//                 csvContent += formattedDate + "," + observation.value + "\n";
//             });

//             var blob = new Blob([csvContent], { type: 'text/csv;charset=utf-8;' });
//             var link = document.createElement('a');

//             if (navigator.msSaveBlob) {
//                 navigator.msSaveBlob(blob, 'UJC.csv');
//             } else {
//                 link.href = URL.createObjectURL(blob);
//                 link.download = 'UJC.csv';
//                 link.style.visibility = 'hidden';
//                 document.body.appendChild(link);
//                 link.click();
//                 document.body.removeChild(link);
//             }
//         }
//     }
// });

$(document).ready(function () {
    // Call the main function after the document is ready
    initializeChart();

    function initializeChart() {
        var ctx = document.getElementById('ujcChart').getContext('2d');
        var ujcChart;
        var fetchedData; // Variable to store the fetched data

        // Fetch the data when the page initially loads
        fetchUJCData();

        function fetchUJCData() {
            var apiUrl = "{{ url('/get-ujc-data') }}";
            $.ajax({
                url: apiUrl,
                type: 'GET',
                success: function (response) {
                    console.log('Fetched data:', response);
                    fetchedData = response.observations;
                    updateChart('all'); // Update the chart with the default "all" range
                },
                error: function (error) {
                    console.log('Error fetching UJC data:', error);
                }
            });
        }

        function updateChart(yearRange) {
            console.log('Updating chart with year range:', yearRange);

            if (!fetchedData) {
                console.log('No data fetched yet. Cannot update chart.');
                return;
            }

            // Filter the data based on the selected year range
            var filteredData;
            if (yearRange === 'all') {
                filteredData = fetchedData; // Use all data
            } else {
                var startYear = new Date().getFullYear() - parseInt(yearRange);
                filteredData = fetchedData.filter(function (observation) {
                    var observationYear = new Date(observation.date).getFullYear();
                    return observationYear >= startYear;
                });
            }

            if (filteredData.length === 0) {
                console.log('No data available for the selected year range.');
                return;
            }

            var labels = filteredData.map(function (observation) {
                var date = new Date(observation.date);
                return date.toLocaleDateString('en-US', { year: 'numeric', month: 'short' });
            });
            var values = filteredData.map(function (observation) {
                return observation.value;
            });

            if (ujcChart) {
                ujcChart.destroy();
            }

            ujcChart = new Chart(ctx, {
                type: 'line',
                data: {
                    labels: labels,
                    datasets: [{
                        label: 'UJC Data',
                        data: values,
                        borderColor: 'rgba(75, 192, 192, 1)',
                        backgroundColor: 'rgba(75, 192, 192, 0.2)',
                        borderWidth: 2
                    }]
                },
                options: {
                    scales: {
                        x: {
                            ticks: {
                                maxRotation: 0, // Rotate x-axis labels if needed
                                autoSkip: true, // Automatically skip labels to fit
                                maxTicksLimit: 12, // Maximum number of visible ticks on the x-axis
                            }
                        },
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        }

        var yearRangeInputs = $('input[name="years"]');
        var downloadCSVButton = $('#downloadCSV');

        yearRangeInputs.on('change', function () {
            var yearRange = $(this).val();
            updateChart(yearRange);
        });

        downloadCSVButton.on('click', function () {
            var selectedYearRange = $('input[name="years"]:checked').val();
            downloadCSV(selectedYearRange);
        });

        var defaultYearRange = 'all';
        updateChart(defaultYearRange);

        function downloadCSV(yearRange) {
            if (!fetchedData) {
                console.log('No data fetched yet. Cannot download CSV.');
                return;
            }

            var csvContent = "Date,Value\n";

            var filteredData;
            if (yearRange === 'all') {
                filteredData = fetchedData; // Use all data
            } else {
                var startYear = new Date().getFullYear() - parseInt(yearRange);
                filteredData = fetchedData.filter(function (observation) {
                    var observationYear = new Date(observation.date).getFullYear();
                    return observationYear >= startYear;
                });
            }

            filteredData.forEach(function (observation) {
                var date = new Date(observation.date);
                var formattedDate = date.toLocaleDateString('en-US', { year: 'numeric', month: 'short' });
                csvContent += formattedDate + "," + observation.value + "\n";
            });

            var blob = new Blob([csvContent], { type: 'text/csv;charset=utf-8;' });
            var link = document.createElement('a');

            if (navigator.msSaveBlob) {
                navigator.msSaveBlob(blob, 'UJC.csv');
            } else {
                link.href = URL.createObjectURL(blob);
                link.download = 'UJC.csv';
                link.style.visibility = 'hidden';
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        }
    }
});


</script>

@endsection